# VFS Resolver

Tag | vfs
Handle latest | depend on VFS capacity, usually yes
Handle publish | depend on VFS capacity, usually yes

[since 1.4]

This resolver is certainly the most capable, since it relies on Apache Commons VFS, which gives an uniform access to a good number of file systems, including FTP, WebDAV, zip, …​

## Attributes

This resolver shares the common attributes of standard resolvers.

## Child elements

Element | Description | Cardinality
--- | --- | ---
ivy | defines a pattern for Ivy files, using the pattern attribute | 0..n
artifact | defines a pattern for artifacts, using the pattern attribute | 1..n

## Example

    <vfs name="vfs-resolver">
      <ivy pattern="sftp://username:password@host/[organisation]/[module]/[revision]/ivy.xml"/>
      <artifact pattern="sftp://username:password@host/[organisation]/[module]/[revision]/[artifact].[ext]"/>
    </vfs>

Access Ivy and artifact files using SFTP.